PDA

View Full Version : [SOLVED] Wierd Yum update message


STEVE555
29th March 2012, 12:33 AM
Hi all,
I've just ran "sudo yum update" tonight. The problem I'm having is I have never seen this error message before:

--> Finished Dependency Resolution
--> Running transaction check
---> Package kernel.x86_64 0:3.3.0-0.rc6.git0.2.fc17 will be erased
---> Package kernel-devel.x86_64 0:3.3.0-0.rc6.git0.2.fc17 will be erased
--> Finished Dependency Resolution
Error: Protected multilib versions: systemd-44-1.fc17.i686 != systemd-44-3.fc17.x86_64

Has anybody seen this error message before,and anybody know on how to solve it?

Regards,
STEVE555

MorphingDragon
29th March 2012, 12:53 AM
Usually that means you have a piece of software that has specified that it needs a particular version of a library to RPM. See if you can find out which one and remove it.

dd_wizard
29th March 2012, 01:25 AM
The entire yum output might be useful. If you notice, yum is comparing 32 bit and 64 bit systemd packages in that last error message.

dd_wizard

PabloTwo
29th March 2012, 02:16 AM
Error: Protected multilib versions: systemd-44-1.fc17.i686 != systemd-44-3.fc17.x86_64
Whenever you have both 32 and 64 bit versions of a package, they must be of the same version and release. The error message is showing you that the 32 bit version-release of systemd does not equal (!=) the 64 bit version-release.

You either need to update the 32 bit version to match the 64 bit version, or erase the 32 bit version to get rid of this error. I can't imagine what 32 bit program you have installed that would even need the 32 bit version of systemd installed in the first place.

DBelton
29th March 2012, 02:29 AM
You should not have to have the 32 bit systemd on a 64 bit install.

I ran into that not too long ago when some package was messed up and installed a bunch of 32 bit dependencies.

I believe it was anjuta-docs.noarch that was obsoleted by both the 32 bit and 64 bit version on anjuta. There was also another doc package that did the same thing.

If you are running a 64 bit install, you should remove the 32 bit systemd. (In my case, I was able to remove all of the i686 packages.)

Just to let you know how many i686 packages got installed when something went awry, here is the list of the ones I removed. (They got installed on March 8, but I am not sure which package pulled them in as dependencies. That's not shown in the logs)


Mar 23 23:48:22 Erased: ghostscript-9.05-1.fc17.i686
Mar 23 23:48:24 Erased: librsvg2-2.35.2-1.fc17.i686
Mar 23 23:48:25 Erased: gtk3-3.3.18-1.fc17.i686
Mar 23 23:48:28 Erased: 1:cups-libs-1.5.2-6.fc17.i686
Mar 23 23:48:29 Erased: pango-1.29.5-2.fc17.i686
Mar 23 23:48:29 Erased: libwmf-0.2.8.4-32.fc17.i686
Mar 23 23:48:31 Erased: cairo-gobject-1.10.2-7.fc17.i686
Mar 23 23:48:32 Erased: colord-0.1.18-1.fc17.i686
Mar 23 23:48:33 Erased: cairo-1.10.2-7.fc17.i686
Mar 23 23:48:33 Erased: gdk-pixbuf2-2.26.0-1.fc17.i686
Mar 23 23:48:34 Erased: sane-backends-drivers-scanners-1.0.22-9.fc17.i686
Mar 23 23:48:35 Erased: sane-backends-libs-1.0.22-9.fc17.i686
Mar 23 23:48:36 Erased: libgphoto2-2.4.11-3.fc17.i686
Mar 23 23:48:37 Erased: gd-2.0.35-16.fc17.i686
Mar 23 23:48:38 Erased: libXft-2.3.0-2.fc17.i686
Mar 23 23:48:38 Erased: gnutls-2.12.17-1.fc17.i686
Mar 23 23:48:39 Erased: krb5-libs-1.10-5.fc17.i686
Mar 23 23:48:40 Erased: OpenEXR-libs-1.7.0-3.fc17.i686
Mar 23 23:48:41 Erased: libtiff-3.9.5-2.fc17.i686
Mar 23 23:48:42 Erased: polkit-0.104-6.fc17.i686
Mar 23 23:48:43 Erased: fontconfig-2.8.0-5.fc17.i686
Mar 23 23:48:44 Erased: libgusb-0.1.3-2.fc17.i686
Mar 23 23:48:44 Erased: sqlite-3.7.9-1.fc17.i686
Mar 23 23:48:45 Erased: libgudev1-182-1.fc17.i686
Mar 23 23:48:46 Erased: ilmbase-1.0.2-4.fc17.i686
Mar 23 23:48:47 Erased: libXcursor-1.1.13-1.fc17.i686
Mar 23 23:48:47 Erased: libXrandr-1.3.1-3.fc17.i686
Mar 23 23:48:48 Erased: libXt-1.1.2-2.fc17.i686
Mar 23 23:48:49 Erased: libSM-1.2.1-1.fc17.i686
Mar 23 23:48:49 Erased: libXdamage-1.1.3-3.fc17.i686
Mar 23 23:48:50 Erased: libXi-1.5.99.2-4.20111222gitae0187c87.fc17.i686
Mar 23 23:48:50 Erased: libXinerama-1.1.2-1.fc17.i686
Mar 23 23:48:51 Erased: libcroco-0.6.4-1.fc17.i686
Mar 23 23:48:52 Erased: libxml2-2.7.8-7.fc17.i686
Mar 23 23:48:53 Erased: libXext-1.3.1-1.fc17.i686
Mar 23 23:48:54 Erased: libXfixes-5.0-2.fc17.i686
Mar 23 23:48:54 Erased: libXrender-0.9.7-1.fc17.i686
Mar 23 23:48:55 Erased: libstdc++-4.7.0-0.20.fc17.i686
Mar 23 23:48:56 Erased: readline-6.2-4.fc17.i686
Mar 23 23:48:57 Erased: libXpm-3.5.10-1.fc17.i686
Mar 23 23:48:58 Erased: 2:libpng-1.5.9-1.fc17.i686
Mar 23 23:48:59 Erased: 1:libusb-0.1.3-10.fc17.i686
Mar 23 23:48:59 Erased: libv4l-0.8.5-2.fc17.i686
Mar 23 23:49:00 Erased: jasper-libs-1.900.1-19.fc17.i686
Mar 23 23:49:01 Erased: avahi-libs-0.6.30-7.fc17.i686
Mar 23 23:49:02 Erased: atk-2.3.95-1.fc17.i686
Mar 23 23:49:03 Erased: gamin-0.1.10-12.fc17.i686
Mar 23 23:49:04 Erased: glib2-2.31.22-1.fc17.i686
Mar 23 23:49:05 Erased: libXcomposite-0.4.3-3.fc17.i686
Mar 23 23:49:05 Erased: libX11-1.4.99.1-3.fc17.i686
Mar 23 23:49:06 Erased: libxcb-1.8-2.fc17.i686
Mar 23 23:49:07 Erased: lockdev-1.0.4-0.4.20111007git.fc17.i686
Mar 23 23:49:08 Erased: systemd-44-1.fc17.i686
Mar 23 23:49:10 Erased: pam-1.1.5-5.fc17.i686
Mar 23 23:49:11 Erased: cryptsetup-libs-1.4.1-2.fc17.i686
Mar 23 23:49:11 Erased: device-mapper-libs-1.02.74-5.fc17.i686
Mar 23 23:49:12 Erased: kmod-libs-7-1.fc17.i686
Mar 23 23:49:13 Erased: libselinux-2.1.9-9.fc17.i686
Mar 23 23:49:13 Erased: libgcrypt-1.5.0-3.fc17.i686
Mar 23 23:49:14 Erased: libacl-2.2.51-5.fc17.i686
Mar 23 23:49:15 Erased: libcap-2.22-2.fc17.i686
Mar 23 23:49:15 Erased: libattr-2.4.46-5.fc17.i686
Mar 23 23:49:16 Erased: libgpg-error-1.10-2.fc17.i686
Mar 23 23:49:17 Erased: libsepol-2.1.4-6.fc17.i686
Mar 23 23:49:17 Erased: xz-libs-5.1.1-2alpha.fc17.i686
Mar 23 23:49:18 Erased: zlib-1.2.5-6.fc17.i686
Mar 23 23:49:19 Erased: libudev-182-1.fc17.i686
Mar 23 23:49:19 Erased: libuuid-2.21-2.fc17.i686
Mar 23 23:49:20 Erased: audit-libs-2.2-1.fc17.i686
Mar 23 23:49:20 Erased: cracklib-2.8.18-3.fc17.i686
Mar 23 23:49:21 Erased: db4-4.8.30-9.fc17.i686
Mar 23 23:49:22 Erased: 1:dbus-libs-1.4.10-4.fc17.i686
Mar 23 23:49:22 Erased: tcp_wrappers-libs-7.6-69.fc17.i686
Mar 23 23:49:23 Erased: libXau-1.0.6-3.fc17.i686
Mar 23 23:49:24 Erased: libffi-3.0.10-2.fc17.i686
Mar 23 23:49:24 Erased: libjpeg-turbo-1.2.0-1.fc17.i686
Mar 23 23:49:25 Erased: libusb1-1.0.9-0.6.rc1.fc17.i686
Mar 23 23:49:26 Erased: ncurses-libs-5.9-4.20120204.fc17.i686
Mar 23 23:49:27 Erased: libICE-1.0.8-1.fc17.i686
Mar 23 23:49:27 Erased: freetype-2.4.8-2.fc17.i686
Mar 23 23:49:28 Erased: expat-2.0.1-12.fc17.i686
Mar 23 23:49:29 Erased: libcom_err-1.42-2.fc17.i686
Mar 23 23:49:29 Erased: keyutils-libs-1.5.5-2.fc17.i686
Mar 23 23:49:30 Erased: p11-kit-0.11-1.fc17.i686
Mar 23 23:49:31 Erased: libtasn1-2.12-1.fc17.i686
Mar 23 23:49:31 Erased: libexif-0.6.20-2.fc17.i686
Mar 23 23:49:32 Erased: libtool-ltdl-2.4.2-3.fc17.i686
Mar 23 23:49:33 Erased: libieee1284-0.2.11-11.fc17.i686
Mar 23 23:49:33 Erased: pixman-0.24.4-1.fc17.i686
Mar 23 23:49:34 Erased: lcms2-2.3-2.fc17.i686
Mar 23 23:49:35 Erased: libwmf-lite-0.2.8.4-32.fc17.i686
Mar 23 23:49:36 Erased: libthai-0.1.14-5.fc17.i686
Mar 23 23:49:37 Erased: libgomp-4.7.0-0.20.fc17.i686
Mar 23 23:49:37 Erased: lcms-libs-1.19-5.fc17.i686
Mar 23 23:49:38 Erased: bzip2-libs-1.0.6-4.fc17.i686
Mar 23 23:49:39 Erased: nss-softokn-freebl-3.13.3-1.fc17.i686
Mar 23 23:49:39 Erased: glibc-2.15-28.fc17.i686
Mar 23 23:49:41 Erased: libgcc-4.7.0-0.20.fc17.i686
Mar 23 23:49:41 Erased: 1:tuxpaint-devel-0.9.21-5.fc15.i686

STEVE555
29th March 2012, 09:48 AM
Hi all,
I don't need to worry now. I've ran sudo yum update again this morning,and yum seems to be behaving itself :)

I want to thank all those that tried to help me.

Regards,
STEVE555

Fenrin
29th March 2012, 06:59 PM
I experienced also a wiered yum message today:
[...]
Is this ok [y/N]: y
Downloading Packages:
Setting up and reading Presto delta metadata
updates-testing/prestodelta | 626 kB 00:02
fedora/prestodelta | 78 B 00:00
Processing delta metadata
Traceback (most recent call last):
File "/usr/bin/yum", line 29, in <module>
yummain.user_main(sys.argv[1:], exit_code=True)
File "/usr/share/yum-cli/yummain.py", line 321, in user_main
errcode = main(args)
File "/usr/share/yum-cli/yummain.py", line 229, in main
return_code = base.doTransaction()
File "/usr/share/yum-cli/cli.py", line 547, in doTransaction
problems = self.downloadPkgs(downloadpkgs, callback_total=self.download_callback_total_cb)
File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 2147, in downloadPkgs
self.plugins.run('predownload', pkglist=pkglist)
File "/usr/lib/python2.7/site-packages/yum/plugins.py", line 187, in run
func(conduitcls(self, self.base, conf, **kwargs))
File "/usr/lib/yum-plugins/presto.py", line 633, in predownload_hook
(problems, more) = downloadPkgs(conduit, pinfo, download_pkgs)
File "/usr/lib/yum-plugins/presto.py", line 321, in downloadPkgs
delta = getDelta(po, presto, conduit, conf_mp)
File "/usr/lib/yum-plugins/presto.py", line 198, in getDelta
conduit.info(5, -("Could not find delta rpm for package %s.%s.")
TypeError: bad operand type for unary -: 'str'


fortunatley this bug is fixed in yum-presto 7.3-1 (http://koji.fedoraproject.org/koji/buildinfo?buildID=310413) :)

sillav
30th March 2012, 06:28 AM
I experienced also a wiered yum message today:


fortunatley this bug is fixed in yum-presto 7.3-1 (http://koji.fedoraproject.org/koji/buildinfo?buildID=310413) :)

Thanks for this tip. The follwing let me get over this little hump in F17 development...
yum remove yum-presto
yum clean all
yum update
yum install yum-presto

DBelton
30th March 2012, 06:31 AM
you can also get around it without removing yum-presto

yum --disableplugin=presto update

sillav
30th March 2012, 06:42 PM
you can also get around it without removing yum-presto

yum --disableplugin=presto update


Even better, thanks!

robatino
30th March 2012, 07:44 PM
https://bugzilla.redhat.com/show_bug.cgi?id=808130

https://admin.fedoraproject.org/updates/FEDORA-2012-4862/yum-presto-0.7.3-1.fc17

Easiest way to work around the problem:

yum --disablepresto update yum-presto

Bellavista - Zdar nad Sazavou Photos - Osnabrueck